it-swarm-ja.com

Red Hat Linuxがこのような古いカーネルを使用するのはなぜですか?

RHEL(およびその派生物)がこのような古いカーネルを使用するのはなぜですか? 2.6.32-xxxを使用していますが、私には古いようです。それらはそのカーネルで新しいハードウェアをどのようにサポートしますか?私の知る限り、これらの種類のディストリビューションはかなり新しいハードウェアで動作します。

18
Markus Lux

Red Hat Enterprise Linuxは何よりもまず安定性であり、長寿命のディストリビューション(約10年保証)だからです。 RHELユーザーは、どうしても必要な場合以外は何も変更したくありません。ただし、カーネルのbaseバージョンは古いことに注意してください。RHELのカーネルには、バックポートされたものやバグ修正が多数含まれているため、実際には古いものではありません。

30
vonbrand

これまでに各RHELリリースで使用されていたカーネルバージョンの表を示します。

要約する:

  • RHEL 2.1(2002年にリリース)は、カーネルバージョン2.4.9を使用しました。
  • RHEL 3(RHL 9に基づいて2003年にリリース)は、カーネルバージョン2.4.21を使用しました。
  • RHEL 4(Fedora Core 3に基づいて2005年にリリース)は、カーネルバージョン2.6.9を使用しました。
  • RHEL 5(2007年にリリースされ、Fedora Core 6に基づいて)は、カーネルバージョン2.6.18を使用しました。
  • RHEL 6(Fedora 12と13の組み合わせに基づいて2010年にリリース)は、カーネルバージョン2.6.32を使用しました。
  • RHEL 7(Fedora 19と20の組み合わせに基づいて2014年にリリース)は、カーネルバージョン3.10.0を使用します。
  • RHEL 8(2019年にリリースされ、Fedora 28に基づいて)は、カーネルバージョン4.18.0を使用します。

各RHELメジャーリリースでは、カーネルバージョンは最初のリリース時にフリーズされ、セキュリティパッチとドライバーの更新はそのカーネルバージョンにバックポートされます。

0
telcoM